[BRLTTY] Startup problem with brltty under Ubuntu together withOrca

Hermann steppenwolf2 at onlinehome.de
Tue Nov 21 05:47:14 EST 2006


Hello Dave,
all the symlinks point to /etc/init.d/brltty
The owner is root.
Here's the script:

#! /bin/sh

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/sbin/brltty
NAME=brltty
DESC='Braille terminal driver'
PIDFILE=/var/run/$NAME.pid

test -f $DAEMON || exit 0

# Comment the following line to enable brltty.
exit 0

set -e

case "$1" in
  start)
	echo -n "Starting $DESC: "
	start-stop-daemon --start --oknodo \
		--pidfile $PIDFILE --startas $DAEMON -- -P $PIDFILE
	echo "$NAME."
	;;
  stop)
	echo -n "Stopping $DESC: "
	start-stop-daemon --stop --quiet --oknodo --retry 5 --pidfile $PIDFILE
	echo "$NAME."
	;;
  restart|force-reload)
	echo -n "Restarting $DESC: "
	start-stop-daemon --stop --quiet --retry 5 --pidfile $PIDFILE
	start-stop-daemon --start --quiet \
		--pidfile $PIDFILE --startas $DAEMON -- -P $PIDFILE
	echo "$NAME."
	;;
  *)
	N=/etc/init.d/$NAME
	echo "Usage: $N {start|stop|restart|force-reload}" >&2
	exit 1
	;;
esac

exit 0

Regards
Hermann



More information about the BRLTTY mailing list